/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.groupbuy.comment.enums;


import lombok.Getter;

/**
 * 拼团团队状态类型
 *
 */
@Getter
public enum TeamStatusEnum {

    /** 待成团(未支付) */
    WAITING_GROUP(0, "待成团"),

    /** 拼团中(已支付) */
    IN_GROUP(1, "拼团中"),

    /** 拼团成功 */
    SUCCESS(2, "拼团成功"),

    /** 拼团失败 */
    FAIL(3, "拼团失败");

    private Integer code;

    private String title;

    public Integer value() {
        return code;
    }

    TeamStatusEnum(Integer code, String title){
        this.code = code;
        this.title = title;
    }
}
